// (c) Tim Fechtner. Licenced under GPL 2 (yes, version 2 only!).

#include <KApplication>
#include <KAboutData>
#include <KCmdLineArgs>
 
#include "mainwindow.h"
#include "settings_general.h"
#include "version.h"

 
int main (int argc, char *argv[])
{
    KAboutData aboutData("kradioripper",                                               // internal program name
                         0,                                                            // name of the message catalog. 0: same as internal program name
                         ki18nc("KAboutData: displayed program name","KRadioRipper"),  // displayed program name
                         VERSION,                                                      // version
                         ki18nc("KAboutData: short program description","A KDE program for ripping internet radios."),
                         KAboutData::License_GPL_V2,                                   // licence information
                         ki18nc("KAboutData: copyright hint","(c) 2007 Tim Fechtner"), //copyright info
                         ki18nc("KAboutData: further hints","Based on StreamRipper."), // test
                         "http://kradioripper.sourceforge.net/",               // homepage
                         QString("urwald%1users.sourceforge.net").arg("@").toLatin1()  // bug email adress - complicate for anti-spam-reasons
                        );
  aboutData.addAuthor(ki18nc("about/Author: name (don't translate this!)","Tim Fechtner"),                     // name
                      ki18nc("about/Author: function","Main author"),                  // function
                      QString("urwald%1users.sourceforge.net").arg("@").toLatin1()/*,  // email adress - complicate for anti-spam-reasons
                      "http://www.myWebsite.com"*/);                                   // website
  aboutData.addCredit(ki18nc("about/Credit: name","Greg Sharp and the StreamRipper team"),                            // name
                      ki18nc("about/Credit: function","Authers of StreamRipper, which is the base for KRadioRipper"), // function
                      QString("gregsharp%1users.sourceforge.net").arg("@").toLatin1(), // email adress - complicate for anti-spam-reasons
                      "http://streamripper.sourceforge.net/");                         // website
  aboutData.addCredit(ki18nc("about/Credit: name","Detlef Reichelt"),                            // name
                      ki18nc("about/Credit: function","Initial version of the .spec file and RPM packages for Packman"), // function
                      QString("detlef%1links2linux.de").arg("@").toLatin1(), // email adress - complicate for anti-spam-reasons
                      "http://packman.links2linux.org/package/kradioripper");
  aboutData.setTranslator(ki18nc("NAME OF TRANSLATORS", "Your names"),
                          ki18nc("EMAIL OF TRANSLATORS", "Your emails"));
  KCmdLineArgs::init( argc, argv, &aboutData );
  KApplication app;
  MainWindow* window = new MainWindow();
  window->show();
  return app.exec();
}
