// This file is generated by kconfig_compiler from settings_stream.kcfg.
// All changes you do to this file will be lost.

#include "settings_stream.h"

#include <klocale.h>

settings_stream::settings_stream(  KSharedConfig::Ptr config  )
  : KConfigSkeleton( config )
{
  setCurrentGroup( QLatin1String( "connection" ) );

  mServerUriItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "serverUri" ), mServerUri );
  mServerUriItem->setLabel( i18n("URI of the stream server") );
  mServerUriItem->setWhatsThis( i18n("URI of the stream server") );
  addItem( mServerUriItem, QLatin1String( "serverUri" ) );
  mInfo_streamNameItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "info_streamName" ), mInfo_streamName );
  mInfo_streamNameItem->setLabel( i18n("name of the stream - don't edit this!") );
  mInfo_streamNameItem->setWhatsThis( i18n("the name of the stream - recieved from server - don't edit this!") );
  addItem( mInfo_streamNameItem, QLatin1String( "info_streamName" ) );
  mInfo_serverNameItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "info_serverName" ), mInfo_serverName );
  mInfo_serverNameItem->setLabel( i18n("name of the server - don't edit this!") );
  mInfo_serverNameItem->setWhatsThis( i18n("the name of the server - recieved from server - don't edit this!") );
  addItem( mInfo_serverNameItem, QLatin1String( "info_serverName" ) );
  mInfo_bitrateItem = new KConfigSkeleton::ItemLongLong( currentGroup(), QLatin1String( "info_bitrate" ), mInfo_bitrate, -2 );
  mInfo_bitrateItem->setMinValue(-2);
  mInfo_bitrateItem->setMaxValue(2147483647);
  mInfo_bitrateItem->setLabel( i18n("bitrate - don't edit this!") );
  mInfo_bitrateItem->setWhatsThis( i18n("the bitrate of the stream (-2 means \"no value set\". -1 or 0 means: unable to recognize bitrate.) - recieved from server - don't edit this!") );
  addItem( mInfo_bitrateItem, QLatin1String( "info_bitrate" ) );
  mInfo_metaIntervalItem = new KConfigSkeleton::ItemLongLong( currentGroup(), QLatin1String( "info_metaInterval" ), mInfo_metaInterval, -2 );
  mInfo_metaIntervalItem->setMinValue(-2);
  mInfo_metaIntervalItem->setMaxValue(2147483647);
  mInfo_metaIntervalItem->setLabel( i18n("meta data intervall - don't edit this!") );
  mInfo_metaIntervalItem->setWhatsThis( i18n("the intervall of sending meta data of the stream (-2 means: \"no value set\". -1 or 0 means: unable to read meta data.) - recieved from server - don't edit this!") );
  addItem( mInfo_metaIntervalItem, QLatin1String( "info_metaInterval" ) );
  mAdvanced_useTimeoutItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "advanced_useTimeout" ), mAdvanced_useTimeout, true );
  mAdvanced_useTimeoutItem->setLabel( i18n("timeout when no data is send") );
  mAdvanced_useTimeoutItem->setWhatsThis( i18n("Sometimes, streams will \"hang\", which means they haven't disconnected, but they aren't sending any data. When you check this box, the connection will time out when the stream \"hangs\".") );
  addItem( mAdvanced_useTimeoutItem, QLatin1String( "advanced_useTimeout" ) );
  mAdvanced_timeoutAfterXSecondsItem = new KConfigSkeleton::ItemULongLong( currentGroup(), QLatin1String( "advanced_timeoutAfterXSeconds" ), mAdvanced_timeoutAfterXSeconds, 15 );
  mAdvanced_timeoutAfterXSecondsItem->setMinValue(1);
  mAdvanced_timeoutAfterXSecondsItem->setMaxValue(32767);
  mAdvanced_timeoutAfterXSecondsItem->setLabel( i18n("timeout after X seconds") );
  mAdvanced_timeoutAfterXSecondsItem->setWhatsThis( i18n("After X seconds (set here) the programm will made a timeout") );
  addItem( mAdvanced_timeoutAfterXSecondsItem, QLatin1String( "advanced_timeoutAfterXSeconds" ) );
  mAdvanced_reconnectAfterDroppedOrTimeoutItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "advanced_reconnectAfterDroppedOrTimeout" ), mAdvanced_reconnectAfterDroppedOrTimeout, true );
  mAdvanced_reconnectAfterDroppedOrTimeoutItem->setLabel( i18n("reconnect") );
  mAdvanced_reconnectAfterDroppedOrTimeoutItem->setWhatsThis( i18n("reconnect to stream server after the stream was dropped or after a timeout") );
  addItem( mAdvanced_reconnectAfterDroppedOrTimeoutItem, QLatin1String( "advanced_reconnectAfterDroppedOrTimeout" ) );
  mAdvanced_userAgentStringItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "advanced_userAgentString" ), mAdvanced_userAgentString, QLatin1String( "KRadioRipper" ) );
  mAdvanced_userAgentStringItem->setLabel( i18n("user agent string") );
  mAdvanced_userAgentStringItem->setWhatsThis( i18n("the user agent string who is sent to the server to identify the client - default is Streamripper") );
  addItem( mAdvanced_userAgentStringItem, QLatin1String( "advanced_userAgentString" ) );

  setCurrentGroup( QLatin1String( "splitting" ) );

  mOffsetItem = new KConfigSkeleton::ItemLongLong( currentGroup(), QLatin1String( "offset" ), mOffset, 0 );
  mOffsetItem->setMinValue(-32767);
  mOffsetItem->setMaxValue(32767);
  mOffsetItem->setLabel( i18n("offset for metadata in ms") );
  mOffsetItem->setWhatsThis( i18n("When metadata changes, splitpoint detection starts at this point. But metadata often isn't exactly syncronous with the audio signal. You can defined an offset, so that splitpoint detections starts some ms befor or after the metadata change.") );
  addItem( mOffsetItem, QLatin1String( "offset" ) );
  mSearchWindowItem = new KConfigSkeleton::ItemULongLong( currentGroup(), QLatin1String( "searchWindow" ), mSearchWindow, 12000 );
  mSearchWindowItem->setMinValue(2);
  mSearchWindowItem->setMaxValue(65534);
  mSearchWindowItem->setLabel( i18n("search window for splitpoint detection in ms") );
  mSearchWindowItem->setWhatsThis( i18n("metadata_change+offset - at this point starts splitpoint detection. For this, streamripper searchs into the windows defined here (in ms) for a silence point. Must be bigger than silenceWindow.") );
  addItem( mSearchWindowItem, QLatin1String( "searchWindow" ) );
  mSilenceWindowItem = new KConfigSkeleton::ItemULongLong( currentGroup(), QLatin1String( "silenceWindow" ), mSilenceWindow, 1000 );
  mSilenceWindowItem->setMinValue(1);
  mSilenceWindowItem->setMaxValue(32767);
  mSilenceWindowItem->setLabel( i18n("silence length for splitpoint detection in ms") );
  mSilenceWindowItem->setWhatsThis( i18n("This defines the length of the silence for which is searched during splitpoint detection. Must be smaller than searchWindow!") );
  addItem( mSilenceWindowItem, QLatin1String( "silenceWindow" ) );

  setCurrentGroup( QLatin1String( "saving" ) );

  mWriteSingleFileItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "writeSingleFile" ), mWriteSingleFile, false );
  mWriteSingleFileItem->setLabel( i18n("write single file") );
  mWriteSingleFileItem->setWhatsThis( i18n("write one big file of the stream that is recorded") );
  addItem( mWriteSingleFileItem, QLatin1String( "writeSingleFile" ) );
  QList<KConfigSkeleton::ItemEnum::Choice> valuessingleFileOverwrite;
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QLatin1String( "Always" );
    valuessingleFileOverwrite.append( choice );
  }
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QLatin1String( "Never" );
    valuessingleFileOverwrite.append( choice );
  }
  mSingleFileOverwriteItem = new KConfigSkeleton::ItemEnum( currentGroup(), QLatin1String( "singleFileOverwrite" ), mSingleFileOverwrite, valuessingleFileOverwrite, EnumSingleFileOverwrite::Always );
  mSingleFileOverwriteItem->setLabel( i18n("Overwrite an existing file?") );
  mSingleFileOverwriteItem->setWhatsThis( i18n("When the file name under which the single, unsplitted file will be saved yet exists, what will we do?") );
  addItem( mSingleFileOverwriteItem, QLatin1String( "singleFileOverwrite" ) );
  mWriteSplittedFilesItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "writeSplittedFiles" ), mWriteSplittedFiles, true );
  mWriteSplittedFilesItem->setLabel( i18n("write splitted files") );
  mWriteSplittedFilesItem->setWhatsThis( i18n("(try to) split the stream automaticly in particular songs and write each song in it's own file") );
  addItem( mWriteSplittedFilesItem, QLatin1String( "writeSplittedFiles" ) );
  mTruncateDuplicatesInIncompleteItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "truncateDuplicatesInIncomplete" ), mTruncateDuplicatesInIncomplete, true );
  mTruncateDuplicatesInIncompleteItem->setLabel( i18n("truncate duplicates in \"incomplete\"") );
  mTruncateDuplicatesInIncompleteItem->setWhatsThis( i18n("If files don't are copied from \"incomplete\" to the destination directory, than you can decide here what to do with these files: Do you want to truncate them if the are a duplicate of the file in the destination directory (possible when overriding on \"larger\" or \"never\")?") );
  addItem( mTruncateDuplicatesInIncompleteItem, QLatin1String( "truncateDuplicatesInIncomplete" ) );
  mSplittedFilesPrepadItem = new KConfigSkeleton::ItemULongLong( currentGroup(), QLatin1String( "splittedFilesPrepad" ), mSplittedFilesPrepad, 300 );
  mSplittedFilesPrepadItem->setMaxValue(32767);
  mSplittedFilesPrepadItem->setLabel( i18n("time of the previous song which is recorded also (ms)") );
  mSplittedFilesPrepadItem->setWhatsThis( i18n("To be shure to have complete songs (espacially when the radio station uses crossfading - what do most radio stations), you can also write the last part of the previous song to each file. (So this part is written to 2 different files.) (ms)") );
  addItem( mSplittedFilesPrepadItem, QLatin1String( "splittedFilesPrepad" ) );
  mSplittedFilesPostpadItem = new KConfigSkeleton::ItemULongLong( currentGroup(), QLatin1String( "splittedFilesPostpad" ), mSplittedFilesPostpad, 300 );
  mSplittedFilesPostpadItem->setMaxValue(32767);
  mSplittedFilesPostpadItem->setLabel( i18n("time of the next song which is recorded also (ms)") );
  mSplittedFilesPostpadItem->setWhatsThis( i18n("To be shure to have complete songs (espacially when the radio station uses crossfading - what do most radio stations), you can also write the first part of the next song to each file. (So this part is written to 2 different files.) (ms)") );
  addItem( mSplittedFilesPostpadItem, QLatin1String( "splittedFilesPostpad" ) );
  mSkipFirstXTracksItem = new KConfigSkeleton::ItemULongLong( currentGroup(), QLatin1String( "skipFirstXTracks" ), mSkipFirstXTracks, 1 );
  mSkipFirstXTracksItem->setMaxValue(32767);
  mSkipFirstXTracksItem->setLabel( i18n("skip the first X tracks when saving") );
  mSkipFirstXTracksItem->setWhatsThis( i18n("It is usefull to skip the first track as this track normally is incomplete, so 1 is the default. However sometimes streams start always (individually) with a new song, in this case 0 is usefull. And some stations play an intro when connecting to them. With this option, you can skip this intro also.") );
  addItem( mSkipFirstXTracksItem, QLatin1String( "skipFirstXTracks" ) );
  QList<KConfigSkeleton::ItemEnum::Choice> valuessplittedFilesOverwrite;
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QLatin1String( "Always" );
    valuessplittedFilesOverwrite.append( choice );
  }
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QLatin1String( "Larger" );
    valuessplittedFilesOverwrite.append( choice );
  }
  {
    KConfigSkeleton::ItemEnum::Choice choice;
    choice.name = QLatin1String( "Never" );
    valuessplittedFilesOverwrite.append( choice );
  }
  mSplittedFilesOverwriteItem = new KConfigSkeleton::ItemEnum( currentGroup(), QLatin1String( "splittedFilesOverwrite" ), mSplittedFilesOverwrite, valuessplittedFilesOverwrite, EnumSplittedFilesOverwrite::Larger );
  mSplittedFilesOverwriteItem->setLabel( i18n("Overwrite existing files?") );
  mSplittedFilesOverwriteItem->setWhatsThis( i18n("When the stream sends a track with the same metadata another time (tink of a song which is played twice while you are ripping), the file will have (probably) have the same name. Should it be overwritten? Choises: always, only when the new file is larger, never.") );
  addItem( mSplittedFilesOverwriteItem, QLatin1String( "splittedFilesOverwrite" ) );
}

settings_stream::~settings_stream()
{
}

