// (c) Tim Fechtner. Licenced under GPL 2 (yes, version 2 only!).

#include "settings_stream_dialog.h"
#include "settings_stream_widget_connection.h"
#include "settings_stream_widget_splitting.h"
#include "settings_stream_widget_saving.h"
 
settings_stream_dialog::settings_stream_dialog(QWidget* parent, const QString& name, settings_stream* config) : KConfigDialog(parent, name, config)
{
  // variables
  QPointer<settings_stream_widget_connection> m_settings_stream_widget_connection;

  // code
  m_settings_stream = config;
  m_settings_stream_widget_connection = new settings_stream_widget_connection(this);
  addPage(m_settings_stream_widget_connection , i18nc("title of the config page","Connection"));
  m_settings_stream_widget_connection->load_info_from_kcfg();
  addPage(new settings_stream_widget_splitting(this), i18nc("title of the config page","Splitting"), "settings_stream_widget_splitting");
  addPage(new settings_stream_widget_saving(this), i18nc("title of the config page","Saving"), "settings_stream_widget_saving");
  setModal(true);
  showButton(KDialog::Help, false);  // TODO make a help avaible!
}

settings_stream_dialog::~settings_stream_dialog()
{
}

void settings_stream_dialog::updateSettings()  // reimplemented from KConfigDialog. Original implementation is empty, so no need to call it...
{
  // TODO: m_settings_stream->setInfo_streamName
}
