// (c) Tim Fechtner. Licenced under GPL 2 (yes, version 2 only!).

#ifndef SETTINGS_STREAM_DIALOG_H
#define SETTINGS_STREAM_DIALOG_H

#include "settings_stream.h"
#include <QWidget>
#include <QPointer>
#include <kconfigdialog.h>
 

/** This class inherits from class KConfigDialog. It provides a preconfigured
    config dialog for settings_stream, which is nicely behaving. This
    class inherits public from KConfigDialog - this way you can use the underlying
    architecture. But be carefull: use only these functions where you know exactly
    what you do. */
class settings_stream_dialog : public KConfigDialog
{
  Q_OBJECT

  public:
    /** The constructor.
        @param parent Pass a QWidget as parent - the dialog is centered to this widget.
        @param name Set a name for this object. You can read the name later using the property "objectName" (class QObject)
        @param config Set the used settings_stream object for the configuration. */
    settings_stream_dialog(QWidget* parent, const QString& name, settings_stream* config);
    virtual ~settings_stream_dialog();
  protected slots:
    virtual void updateSettings();  // reimplemented from KConfigDialog
  private:
    QPointer<settings_stream> m_settings_stream;
};
 
#endif





