// (c) Tim Fechtner. Licenced under GPL 2 (yes, version 2 only!).

#ifndef SETTINGS_STREAM_WIDGET_CONNECTION_H
#define SETTINGS_STREAM_WIDGET_CONNECTION_H

#include "ui_settings_stream_widget_connection.h"
#include "settings_stream.h"
#include "get_stream_info.h"
#include <QWidget>
#include <QPointer>
#include <QStackedWidget>
 
class settings_stream_widget_connection : public QStackedWidget, private Ui::settings_stream_widget_connection
{
  Q_OBJECT

  public:
    /** The constructor. @param settings: Pass a pointer to a settings_stream object here. Never pass a 0 pointer!!! */
    settings_stream_widget_connection(QWidget *parent=0);
    virtual ~settings_stream_widget_connection();
  public slots:
    /** This function loads the stream infos from the invisible kcfg widgets. This can't be done in the constructor,
    *   because when construncting this widget, the fields are still empty. Call it after the fileds has been filled!
    *   After loading the infos, it tries to actualise them. However, when this doesn't work because there's no
    *   connection (to the internet or because the stream server is down), then nothing is deleted. */
    void load_info_from_kcfg();
  private:
    //QPointer<settings_stream> m_settings;
    get_stream_info m_process;
  private slots:
    void serverUriChanged();

    void setStreamName(qlonglong index, QString streamName);
    void setServerName(qlonglong index, QString serverName);
    void setBitrate(qlonglong index, qint64 bitrate);
    void setMetaInterval(qlonglong index, qint64 metaInterval);

    void recognizationFinished();
};
 
#endif
