// (c) Tim Fechtner. Licenced under GPL 2 (yes, version 2 only!).

#include "settings_stream_widget_splitting.h"
#include <kdebug.h>
 
settings_stream_widget_splitting::settings_stream_widget_splitting(QWidget *parent) : QWidget(parent)
{
  setupUi(this);
  connect( kcfg_silenceWindow, 
           SIGNAL(valueChanged(int)),
           this,
           SLOT(correct_search_window(int))
         );
  connect( kcfg_searchWindow,
           SIGNAL(valueChanged(int)),
           this,
           SLOT(correct_silence_window(int))
         );
}

settings_stream_widget_splitting::~settings_stream_widget_splitting()
{
}

void settings_stream_widget_splitting::correct_search_window(int silence_window)
{
kDebug() << "function call" << endl;
  if (kcfg_searchWindow->value() <= silence_window)
    kcfg_searchWindow->setValue(silence_window + 1);
}

void settings_stream_widget_splitting::correct_silence_window(int search_window)
{
kDebug() << "function call" << endl;
  if (kcfg_silenceWindow->value() >= search_window)
    kcfg_silenceWindow->setValue(search_window - 1);
}

