// (c) Tim Fechtner. Licenced under GPL 2 (yes, version 2 only!).

#ifndef SETTINGS_STREAM_WIDGET_SPLITTING_H
#define SETTINGS_STREAM_WIDGET_SPLITTING_H

#include "ui_settings_stream_widget_splitting.h"
#include <QWidget>
 
class settings_stream_widget_splitting : public QWidget, private Ui::settings_stream_widget_splitting
{
  Q_OBJECT

  public:
    settings_stream_widget_splitting(QWidget *parent=0);
    virtual ~settings_stream_widget_splitting();
  protected slots:
    /** This method corrects (if nessesary) the search window, if the silence window has changed.
    @param silence_window the new value of the silence window
    Normally this slot in connected to the signal valueChanged of the silence window. */
    void correct_search_window(int silence_window);
    /** This method corrects (if nessesary) the silence window, if the search window has changed.
    @param search_window the new value of the search window
    Normally this slot in connected to the signal valueChanged of the search window. */
    void correct_silence_window(int search_window);
};
 
#endif
