// (c) Tim Fechtner. Licenced under GPL 2 (yes, version 2 only!).

#include "settings_general_dialog.h"
#include "settings_general_widget_1.h"
#include "settings_general_widget_saving.h"
#include "settings_general_widget_relayserver.h"
 
settings_general_dialog::settings_general_dialog(QWidget* parent, const QString& name) : KConfigDialog(parent, name, settings_general::self())
{
  addPage(new settings_general_widget_1(this), i18nc("title of the config page","General"), "settings_general_widget_1");
  addPage(new settings_general_widget_saving(this), i18nc("title of the config page","Saving"), "settings_general_widget_saving");
  addPage(new settings_general_widget_relayserver(this), i18nc("title of the config page","Relay server"), "settings_general_widget_relayserver");
  showButton(KDialog::Help, false);  // TODO make a help avaible!
  setModal(true);
}

settings_general_dialog::~settings_general_dialog()
{
}

void settings_general_dialog::updateSettings()  // reimplemented from KConfigDialog. Original implementation is empty, so no need to call it...
{
  // TODO: ?
}
